403Webshell
Server IP : 172.67.191.97  /  Your IP : 104.23.243.197
Web Server : Apache/2.4.63 (Ubuntu)
System : Linux adminpruebas-Virtual-Machine 6.14.0-37-generic #37-Ubuntu SMP PREEMPT_DYNAMIC Fri Nov 14 22:10:32 UTC 2025 x86_64
User : www-data ( 33)
PHP Version : 8.4.5
Disable Function : NONE
MySQL : OFF  |  cURL : ON  |  WGET : ON  |  Perl : ON  |  Python : OFF  |  Sudo : ON  |  Pkexec : ON
Directory :  /opt/eset/efs/lib/install_scripts/

Upload File :
current_dir [ Writeable ] document_root [ Writeable ]

 

Command :


[ Back ]     

Current File : /opt/eset/efs/lib/install_scripts/eset_efs_udev.sh
#!/bin/sh

if [ $# -lt 1 ]; then
	echo "Missing parameter" 1>&2
	exit 2
fi

DEST_CONFIG="/etc/udev/rules.d/00-eset_efs_wap.rules"
KERNEL_MODULE="eset_wap"
DEV_OWNER="eset-efs-wapd"

add_conf_file() {
	echo "Creating $DEST_CONFIG"
    echo "KERNEL==\"$KERNEL_MODULE\", OWNER:=\"$DEV_OWNER\"" > $DEST_CONFIG

	echo "Reloading udev rules"
	udevadm control --reload-rules
}

remove_conf_file() {
	echo "Removing $DEST_CONFIG"
	if ! rm -f "$DEST_CONFIG" ; then
		echo "Error removing config file \"$DEST_CONFIG\"" 1>&2
		exit 1
	fi

	echo "Reloading udev rules"
	udevadm control --reload-rules
}

if [ "$1" = "enable" ]; then
	add_conf_file
elif [ "$1" = "disable" ]; then
	remove_conf_file
else
	echo "Invalid option: \"$1\"" 1>&2
	exit 2
fi

Youez - 2016 - github.com/yon3zu
LinuXploit